package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.ClassGroupStudentStatusEnum;
import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门ID")
    private Long organId;

    @ApiModelProperty(value = "乐团ID")
    private Long musicGroupId;

    @ApiModelProperty(value = "状态（在读、请假、退学）",required = false)
    private ClassGroupStudentStatusEnum studentStatus;

    @ApiModelProperty(value = "模糊查询字符串-用户名/电话")
    private String queryString;

    public Long getOrganId() {
        return organId;
    }

    public void setOrganId(Long organId) {
        this.organId = organId;
    }

    public Long getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Long musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public ClassGroupStudentStatusEnum getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(ClassGroupStudentStatusEnum studentStatus) {
        this.studentStatus = studentStatus;
    }

    public String getQueryString() {
        return queryString;
    }

    public void setQueryString(String queryString) {
        this.queryString = queryString;
    }
}
